import Vue from 'vue'
import Router from 'vue-router'
import '@/assets/iconfont/iconfont.css'

// 主要
import main from '@/components/main.vue'
// 准点数据查询
import measuringLocationQuery from '../components/measuringLocationData/measuringLocationQuery.vue'
// 计量点数据录入
import measuringLocationEntry from '../components/measuringLocationData/measuringLocationEntry.vue'
// 异常数据维护
import AbnormalDataMaintenance from '../components/measuringLocationData/AbnormalDataMaintenance.vue'
// 计量点标准维护
import measurementStandard from '../components/measuringLocationData/measurementStandard.vue'
// 计量点数据录入-分厂
import manualmeasuringLocationEntry from '../components/measuringLocationData/manualmeasuringLocationEntry.vue'
// 总值班长调度日志
import squadLeader from '../components/dispatchingLog/squadLeader.vue'
// 动力调度交接班日志
import power from '../components/dispatchingLog/power.vue'
// 电力调度交接班日志
import electric from '../components/dispatchingLog/electric.vue'
// 水道调度交接班日志
import water from '../components/dispatchingLog/water.vue'
// 能源调度日志
import energyDispatch from '../components/dispatchingLog/energyDispatch.vue'
// 计量点人工录入
import measuringManualEntry from '../components/meterManage/measuringManualEntry.vue'
// 计量点数据录入十分钟
import measuringLocationQueryTiming from '../components/measuringLocationData/measuringLocationQueryTiming.vue'
// 投入产出实际
import investAndProduceManage from '../components/investAndProduce/investAndProduceManage.vue'
// 产出实际
import productMaterialsInOut from '../components/investAndProduce/productMaterialsInOut.vue'
// 投入实际
import productMaterialsInput from '../components/investAndProduce/productMaterialsInput.vue'
// 计量仪表小时标准值维护--水
import measurementPlaceWater from '../components/measuringLocationData/measurementPlaceWater.vue'

Vue.use(Router)

export default new Router({
    routes: [{
        path: '/',
        name: 'main',
        component: main,
        redirect: {
            name: 'measuringLocationQuery'
        },
        children: [
            {
                path: 'measuringLocationQuery',
                name: 'measuringLocationQuery',
                component: measuringLocationQuery
            },
            {
                path: 'measuringLocationEntry',
                name: 'measuringLocationEntry',
                component: measuringLocationEntry
            },
            {
                path: 'manualmeasuringLocationEntry',
                name: 'manualmeasuringLocationEntry',
                component: manualmeasuringLocationEntry
            },
            {
                path: 'squadLeader',
                name: 'squadLeader',
                component: squadLeader
            },
            {
                path: 'power',
                name: 'power',
                component: power
            },
            {
                path: 'electric',
                name: 'electric',
                component: electric
            },
            {
                path: 'water',
                name: 'water',
                component: water
            },
            {
                path: 'energyDispatch',
                name: 'energyDispatch',
                component: energyDispatch
            },
            {
                path: 'measuringManualEntry',
                name: 'measuringManualEntry',
                component: measuringManualEntry
            },
            {
                path: 'AbnormalDataMaintenance',
                name: 'AbnormalDataMaintenance',
                component: AbnormalDataMaintenance
            },
            {
                path: 'measuringLocationQueryTiming',
                name: 'measuringLocationQueryTiming',
                component: measuringLocationQueryTiming
            },
            {
                path: 'investAndProduceManage',
                name: 'investAndProduceManage',
                component: investAndProduceManage
            },
            {
                path: 'productMaterialsInOut',
                name: 'productMaterialsInOut',
                component: productMaterialsInOut
            },
            {
                path: 'productMaterialsInput',
                name: 'productMaterialsInput',
                component: productMaterialsInput
            },
            {
                path: 'measurementStandard',
                name: 'measurementStandard',
                component: measurementStandard
            },
            {
                path: 'measurementPlaceWater',
                name: 'measurementPlaceWater',
                component: measurementPlaceWater
            }
        ]
    }]
})
